require 'faraday'

module Sprintly
  class Connection
    def self.get(*args)
      connection.get(*args)
    end

    def self.connection
      @@connection ||= Faraday.new('https://sprint.ly/api').tap do |f|
        f.basic_auth(ENV['SPRINTLY_EMAIL'], ENV['SPRINTLY_API_KEY'])
      end
    end
  end
end
